Subject: Re: linux-next: build failure after merge of the net tree

From: Jeff Kirsher <[email-masked]>
Date: Thu, 11 Aug 2011 20:05:25 -0700

On Thu, 2011-08-11 at 19:51 -0700, David Miller wrote:
> From: Jeff Kirsher <[email-masked]>
> Date: Thu, 11 Aug 2011 19:31:35 -0700
> 
> > I am curious, can you compile the Sun GEM support driver?  and if so,
> > does the Spider Net driver compile?
> 
> I'm pretty sure you cannot reference object targets outside of
> the current directory and expect it to work.
> 
> You can only reference things in the current directory (objects,
> directories to traverse down into, etc.) as targets
> 
> So when there is a common piece of infrastructure shared by
> two drivers, you're really going to have to cope with them
> at the same time.

I am working on a patch now to fix this.

Stephen - if you could compile test it, I would greatly appreciate.